package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * Hotspot types setting.
 */
@ApiModel(description = "Hotspot types setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class HotspotSetting   {
  @JsonProperty("enabledTypes")
  @Valid
  private List<Integer> enabledTypes = new ArrayList<>();

  public HotspotSetting enabledTypes(List<Integer> enabledTypes) {
    this.enabledTypes = enabledTypes;
    return this;
  }

  public HotspotSetting addEnabledTypesItem(Integer enabledTypesItem) {
    this.enabledTypes.add(enabledTypesItem);
    return this;
  }

  /**
   * Hotspot enabled auth types, should be a value as follows: 3: Voucher, 5: Local User, 8: Hotspot RADIUS, 6: Sms, 12: Form Auth.
   * @return enabledTypes
  */
  @ApiModelProperty(required = true, value = "Hotspot enabled auth types, should be a value as follows: 3: Voucher, 5: Local User, 8: Hotspot RADIUS, 6: Sms, 12: Form Auth.")
  @NotNull


  public List<Integer> getEnabledTypes() {
    return enabledTypes;
  }

  public void setEnabledTypes(List<Integer> enabledTypes) {
    this.enabledTypes = enabledTypes;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    HotspotSetting hotspotSetting = (HotspotSetting) o;
    return Objects.equals(this.enabledTypes, hotspotSetting.enabledTypes);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enabledTypes);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class HotspotSetting {\n");
    
    sb.append("    enabledTypes: ").append(toIndentedString(enabledTypes)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

